echo "Your preferred text editor (type in package that will be used, as per your package manager:"
read editor 

echo "Set your editor as $editor" 
read -r -p "${1:-Is your editor's package name different from its binary name (e.g. python-pip and pip)? [y/N]} " response
case "$response" in
    [yY][eE][sS]|[yY]) 
    echo "Enter your editor's package name"
    read editorPACKAGE
    echo "set editor PACKAGE as $editorPACKAGE"
        ;;
    *)  
        editorPACKAGE=$editor 
        echo "Setting editor PACKAGE as $editorPACKAGE"
        
        ;;
esac
echo "Your distro? ( 1)Arch, 2)Debian): "
read distro
if [ $distro -eq 1 ]
then 
    sudo pacman -Syu gcc gdb $editorPACKAGE  
elif [ $distro -eq 2 ]
then
    sudo apt update
    sudo apt upgrade 
    sudo apt install g++ $editorPACKAGE
	
else 
    echo "Please install/update these packages manually: $editorPACKAGE, G++"
    read -p "Press enter to continue" A	
fi

    read -r -p "${1:-Set custom directory for code? [y/N]} " response
    case "$response" in
        [yY][eE][sS]|[yY]) 
	    echo "Enter directory for files:"
            read DIR
		echo "set dir as $DIR"
            ;;
        *)
            DIR='.'
            echo "Setting this directory ($DIR)"
            ;;
    esac

# create.sh
echo $'cp template.cpp $1.cpp \n' > $DIR/create.sh
printf "$editor " >> $DIR/create.sh
printf '$1.cpp ' >> $DIR/create.sh  


# template
read -p "Press enter to create template" A
$editor $DIR/template.cpp

# color.sh
echo $'echo -en "\033[31m"  ## red\neval $* | while read line; do\necho -en "\033[36m"  ## blue\necho $line\necho -en "\033[31m"  ## red\ndone\necho -en "\033[0m"  ## reset color' > $DIR/color.sh

# run.sh
echo $'g++ -std=c++14 -o $1.out -g $1.cpp\n./color.sh ./$1.out\n printf "\\n End of output..."' > $DIR/run.sh

# exe.sh
echo $'./color.sh ./run.sh $1' > $DIR/exe.sh

# make all executable
chmod +x $DIR/create.sh
chmod +x $DIR/run.sh
chmod +x $DIR/exe.sh
chmod +x $DIR/color.sh

